<?php
ob_start(); //For the header() bug.
include("../include/php/session.php"); //Managing Sessions.
include("../include/lang/languages.php"); //Managing Languages.
include("../themes/theme.php"); //Managing Sessions.

/**
 * displayUsers - Displays the users database table in
 * a nicely formatted html table.
 */
function displayUsers()
{
    global $database;
    $q        = "SELECT username,userlevel,email,timestamp " . "FROM " . TBL_USERS . " ORDER BY userlevel DESC,username";
    $result   = $database->query($q);
    /* Error occurred, return given name by default */
    $num_rows = mysql_numrows($result);
    if (!$result || ($num_rows < 0)) {
        echo "Error displaying info";
        return;
    }
    if ($num_rows == 0) {
        echo "Database table empty";
        return;
    }
    /* Display table contents */
    echo "<table align=\"left\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
    echo "<tr><td><b>Username</b></td><td><b>Email</b></td>\n";
    for ($i = 0; $i < $num_rows; $i++) {
        $uname = mysql_result($result, $i, "username");
        $email = mysql_result($result, $i, "email");
        
        echo "<tr><td>$uname</td><td>$email</td></tr>\n";
    }
    echo "</table><br>\n";
}

/**
 * displayBannedUsers - Displays the banned users
 * database table in a nicely formatted html table.
 */
function displayBannedUsers()
{
    global $database;
    $q        = "SELECT username,timestamp " . "FROM " . TBL_BANNED_USERS . " ORDER BY username";
    $result   = $database->query($q);
    /* Error occurred, return given name by default */
    $num_rows = mysql_numrows($result);
    if (!$result || ($num_rows < 0)) {
        echo "Error displaying info";
        return;
    }
    if ($num_rows == 0) {
        echo "Database table empty";
        return;
    }
    /* Display table contents */
    echo "<table align=\"left\" border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
    echo "<tr><td><b>Username</b></td><td><b>Time Banned</b></td></tr>\n";
    for ($i = 0; $i < $num_rows; $i++) {
        $uname = mysql_result($result, $i, "username");
        $time  = mysql_result($result, $i, "timestamp");
        
        echo "<tr><td>$uname</td><td>$time</td></tr>\n";
    }
    echo "</table><br>\n";
}

/**
 * User not an administrator, redirect to main page
 * automatically.
 */
if (!$session->isAdmin()) {
    header("Location: ../index.php");
} else {
    /**
     * Administrator is viewing page, so display all
     * forms.
     */
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Tequila | Admin Panel <?php
    echo "$session->username";
?></title>
		<link rel="shortcut icon" href="../include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		<meta name="viewport" content="width=device-width,initial-scale=1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 1024px)" type="text/css" href="../include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 1024px)" type="text/css" href="../include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" type="text/css" href="../include/css/jquery.mCustomScrollbar.css" />
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript" src="../include/js/jquery.mCustomScrollbar.concat.min.js"></script>
		<script src="../include/js/jquery.knob.js"></script>
		<script src="../include/js/jquery.sysstats.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.sysstats-wrapper').hide().fadeIn('slow'); //Animation for div '.sysstats-wrapper'
					$('.wrapper-gn-f').hide().fadeIn('slow'); //Animation for div '.wrapper-gn-f'
				});
				$(function(){ //Function for the construction of custom scrollbar. Without the height, scrollbars will not work.
					height = window.innerHeight; 
					height = height - 55 + "px";
					document.getElementById('sysstats-scroller').style.height = height;
				});
		</script>
	</head>
	<body>
		<!-- START HEADER -->
		<div class="header">
			<div class="tribal-wrap">
				<a href="#" onclick="sidebarchange();"><div class="tribal-img"></div></a>
			</div>
			<div class="logo-wrap margin">
				<a href="../index.php"><div class="logo-img"></div></a>
			</div>			
			
			<a href="../files.php?folder=/"><form action="result.php" method="GET" autocomplete="off">
				<input type="text" name="query" class="search-header" value="<?php
    echo "$lang_search";
?>" onblur="if(value=='') value = '<?php
    echo "$lang_search";
?>'" onfocus="if(value=='<?php
    echo "$lang_search";
?>') value = ''"/>
			</form></a>
			<ul id="nav">
				<li class="nav-ps"><a href="#" class="usnm-nav"><?php
    if (file_exists("../files/profilepictures/$session->username.png")) { //Manager profile image
        echo "<img src=\"../files/profilepictures/$session->username.png\" />"; //Custom profile picture.
    } else {
        echo "<img src=\"../include/img/icons/user-default.png\" />"; //Default profile picture.
    }
?><?php
    echo "$session->username";
?></a>
					<ul>
						<li class="menu-hjk"><a href="../useredit.php" class="bg-menu-settings"><?php
    echo "$lang_settings";
?></a></li>
						<li class="menu-hjk"><a href="../process.php" class="bg-menu-logout"><?php
    echo "$lang_logout";
?></a></li>
						<div style="clear: both"></div>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
		<!-- END HEADER -->
		<!-- START SIDEBAR LEFT -->
		<div class="sidebar-rp" id="sidebar-left">
			<div class="sidebar-rp-filters" id="sidebar-left-filters">
				<a href="../files.php?folder=/"><ul id="filters">
					<li data-filter="image" onclick="sidebarclose();"><div class="sidebar ico-picture"></div><p><?php
    echo "$lang_pictures";
?></p></li>
					<li data-filter="sound" onclick="sidebarclose();"><div class="sidebar ico-sound"></div><p><?php
    echo "$lang_sounds";
?></p></li>
					<li data-filter="video" onclick="sidebarclose();"><div class="sidebar ico-video"></div><p><?php
    echo "$lang_videos";
?></p></li>
					<li data-filter="text" onclick="sidebarclose();"><div class="sidebar ico-text"></div><p><?php
    echo "$lang_texts";
?></p></li>
					<li data-filter="folder" onclick="sidebarclose();"><div class="sidebar ico-folder"></div><p><?php
    echo "$lang_folders";
?></p></li>
					<li data-filter="other" onclick="sidebarclose();"><div class="sidebar ico-other"></div><p><?php
    echo "$lang_other";
?></p></li>
				</ul></a>
			</div>
		</div>
		<!-- END SIDEBAR LEFT -->
		<!-- START SUB HEADER -->
		<div class="sub-header">
			<a href="#" onclick="goBack();"><div class="arrow-left"></div></a>
			<a href="#" onclick="goForward();"><div class="arrow-right"></div></a>
			<h2><?php
    echo "$lang_admin_page";
?></h2>
		</div>
		<!-- END SUB HEADER -->
		<!-- START SIDEBAR RIGHT -->
		<div class="sysstats-wrapper">
			<div class="centrino">			
			<div class="sysstats-scroller" id="sysstats-scroller" style="height: ">
				<h2><?php
    echo "$lang_members";
?></h2>
				<?php
    echo "<h3 style=\"margin-top:10px;\">" . $database->getNumMembers() . " $lang_members_2</h3>";
    echo "<h3 style=\"margin-top:70px;\">$database->num_active_users $lang_registered_members</h3>";
    echo "<h3 style=\"margin-top:130px;\">$database->num_active_guests $lang_guests</h3>";
?>
				<div style="margin-top:215px;">
					<h2><?php
    echo "$lang_space";
?></h2>
					
					<?php
    include "../include/php/foldersize.php"; //Function for calculating folder size
    
    $totalspace_mb_pr = foldersize("../files/") / (1024 * 1024);
    $totalspace_mb    = ceil(($totalspace_mb_pr));
    
    $freespace_pr = (TOT_SPACE * 1024) - $totalspace_mb;
    $freespace    = ceil(($freespace_pr));
    
    $perc_totalspace_pr = (100 * $totalspace_mb) / (TOT_SPACE * 1024);
    $perc_totalspace    = ceil(($perc_totalspace_pr));
    
    echo "<h4 style=\"margin-top:10px;\">";
    print(TOT_SPACE);
    echo " $lang_gb_total</h4>";
    
    echo "<h4 style=\"margin-top:70px;\">";
    print(USER_SPACE);
    echo " gb $lang_for_user</h4>";
    
    echo "<h4 style=\"margin-top:130px;\">$freespace $lang_mb_avaiable</h4>";
    
    echo "<h4 style=\"margin-top:190px;\">$totalspace_mb $lang_mb_busy</h4>";
    
    echo "<div style=\"margin-top: 265px; margin-left: 30px;\"><input class=\"knob\" data-bgColor=\"#FFFFFF\" data-fgColor=\"#877969\" data-thickness=\".4\" data-width=\"150\" data-readOnly=true value=\"$perc_totalspace\"></div>";
?>
				</div>
			</div>
			</div>
		</div>
		<!-- START SIDEBAR RIGHT -->
		<!-- START WRAPPER -->
		<div class="wrapper-gn-f">
			<div class="admin-wrap">
			<?php
    if ($form->num_errors > 0) { //Error Handling
        echo "<font size=\"4\" color=\"#ff0000\">" . "!*** Error with request, please fix</font><br><br>";
    }
?>
					<h4><?php
    echo "$lang_user_table_contents";
?></h4>
					<div id="content_scroll">
						<?php
    displayUsers();
?></div><br /><br />

					<h4><?php
    echo "$lang_delete_user";
?></h4>
					<?php //Show errors
    echo $form->error("deluser");
?>
					<form action="adminprocess.php" method="POST" >
						<input type="text" class="input-admin" name="deluser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
						<button class="button-admin"><?php
    echo "$lang_delete_user";
?></button>
						<div style="clear: both"></div>
						<input type="hidden" name="subdeluser" value="1">
					</form><br /><br />
			<div class="admin-users-table">
				<div class="admin-micro-table-left">
					<h4><?php
    echo "$lang_user_banned_contents";
?></h4>
					<div class="ulli-admin">
						<?php
    displayBannedUsers();
?>
					</div><br /><br />
				</div>
					<h4><?php
    echo "$lang_ban_user";
?></h4>
					<?php //Show errors
    echo $form->error("banuser");
?>
					<form action="adminprocess.php" method="POST">
						<input type="text" class="input-admin" name="banuser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
						<input type="hidden" name="subbanuser" value="1">
						<button class="button-admin"><?php
    echo "$lang_ban_user";
?></button>
						<div style="clear: both"></div>
					</form><br />
					<h4><?php
    echo "$lang_delete_banned_user";
?></h4>
					<?php //Show errors
    echo $form->error("delbanuser");
?>
					<form action="adminprocess.php" method="POST">
						<input type="text" class="input-admin" name="delbanuser" maxlength="30" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''">
						<input type="hidden" name="subdelbanned" value="1">
						<button class="button-admin"><?php
    echo "$lang_delete_banned_user";
?></button>
						<div style="clear: both"></div>
					</form><br />
					<form action="editsettings.php" method="POST">
					<h4 id="sez-dat">Database</h4>
					<p><?php
    echo "$lang_admin_database";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="datserver" maxlength="80" value="<?php
    echo DB_SERVER;
?>"><br /><br />
						<input type="text" style="float: none" class="input-admin" name="datuser" maxlength="80" value="<?php
    echo DB_USER;
?>"><br /><br />
						<input type="password" style="float: none" class="input-admin" name="datpassword" maxlength="80" value="<?php
    echo DB_PASS;
?>"><br /><br />
						<input type="text" style="float: none" class="input-admin" name="datname" maxlength="80" value="<?php
    echo DB_NAME;
?>"><br /><br />
					</div>
					<h4 id="sez-adm">Admin</h4>
					<p><?php
    echo "$lang_admin_admin";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="admname" maxlength="30" value="<?php
    echo ADMIN_NAME;
?>"><br /><br />
					</div>
					<h4 id="sez-mail">Mailing System</h4>
					<p><?php
    echo "$lang_admin_msystem";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="emaname" maxlength="30" value="<?php
    echo EMAIL_FROM_NAME;
?>"><br /><br />
						<input type="text" style="float: none" class="input-admin" name="emaaddr" maxlength="30" value="<?php
    echo EMAIL_FROM_ADDR;
?>"><br /><br />
					</div>
					<h4 id="sez-spa">Space</h4>
					<p><?php
    echo "$lang_admin_space";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="totspa" maxlength="30" value="<?php
    echo TOT_SPACE;
?>"><br /><br />
						<input type="text" style="float: none" class="input-admin" name="userspa" maxlength="30" value="<?php
    echo USER_SPACE;
?>"><br /><br />
					</div>
					<h4 id="sez-lang">Language</h4>
					<p><?php
    echo "$lang_admin_lang";
?></p>
					<div style="margin-left: 10%">
						<p>English: <a href="#" target="_blank">eng</a></p>
						<p>Italian: <a href="#" target="_blank">ita</a></p>
						<p>French: <a href="#" target="_blank">fre</a></p>
						<p>Espanol: <a href="#" target="_blank">esp</a></p>
						<p>German: <a href="#" target="_blank">ger</a></p>
					</div>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="syslang" maxlength="30" value="<?php
    echo SYSTEM_LANG;
?>"><br /><br />
					</div>
					<h4 id="sez-dir">System Directory</h4>
					<p><?php
    echo "$lang_admin_sysdir";
?></p>
					<div style="margin-left: 10%">
						<p>Url:</p><a href="#" target="_blank">http://localhost.com/ThemeDema/Tequila/install/</a>
					</div>
					<div style="margin-left: 10%">
						<p>Folder:</p> <a href="#" target="_blank">ThemeDema/Tequila</a>
					</div>
					<p><?php
    echo "$lang_admin_sysdir_2";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="dirname" maxlength="30" value="<?php
    echo SYSTEM_DIRECTORY;
?>"><br /><br />
					</div>
					<h4 id="sez-dir">Optional Registration</h4>
					<p><?php
    echo "$lang_admin_opt_reg";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="optreg" maxlength="30" value="<?php
    echo LOCK_REGISTRATION;
?>"><br /><br />
					</div>
					<h4 id="sez-dir">Limit Upload</h4>
					<p><?php
    echo "$lang_admin_max_file";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="maxfile" maxlength="30" value="<?php
    echo MAX_UPLOAD;
?>"><br /><br />
					</div>
                    <h4 id="sez-dir">Theme</h4>
					<p><?php
    echo "$lang_admin_theme";
?></p>
					<div style="margin-left: 10%">
						<input type="text" style="float: none" class="input-admin" name="theme" maxlength="30" value="<?php
    echo TEQUILA_THEME;
?>"><br />
					</div>
					<button class="button-admin" style="margin: 40px 0 0 0">Submit</button>
				</form>
				</div>
			</div>
		</div>
		<!-- END WRAPPER -->
		<!-- JAVASCRIPT -->
<script src="../include/js/jquery.mCustomScrollbar.concat.min.js" type="text/javascript"></script>
	<script type="text/javascript">
		(function($){ //mCustomScrollbar
			$(window).load(function(){
				$("#sdfi3").mCustomScrollbar({
					scrollButtons:{
						enable:false
					}
, horizontalScroll:true				});
			});
		})(jQuery);

			(function($){ //mCustomScrollbar
				$(window).load(function(){
					$(".sysstats-scroller").mCustomScrollbar();
				});
			})(jQuery);

		(function($){ //mCustomScrollbar
			$(window).load(function(){
				$("#content_scroll").mCustomScrollbar({
					scrollButtons:{
						enable:true
					}
				});
			});
		})(jQuery);

				$(document).ready(function () { //User menu (top right)
					$('#nav li').hover(
						function () {
							//Show Submenu
							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {
							//Hide Submenu
							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});

		function showhide(id){ //Function show and hide div
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
		<?php
}
?>
	</body>
</html>