<?php
/**
 * Database Constants - these constants are required
 * in order for there to be a successful connection
 * to the MySQL database. Make sure the information is
 * correct.
 */
define("DB_SERVER", "localhost");
define("DB_USER", "root"); //enter your database username
define("DB_PASS", "root"); //databse password
define("DB_NAME", "kindofblue"); //database name

/**
 * Database Table Constants - these constants
 * hold the names of all the database tables used
 * in the script.
 */
define("TBL_USERS", "tequila_users");
define("TBL_ACTIVE_USERS", "tequila_active_users");
define("TBL_ACTIVE_GUESTS", "tequila_active_guests");
define("TBL_BANNED_USERS", "tequila_banned_users");
define("TBL_SAFETY_RENAME", "safety_rename");
define("TBL_VIEWS", "files_views");

/**
 * These constants are used to define the functions by admin.
 * Do not write in these constants, please.
 */
define("ADMIN_NAME", "admin");
define("GUEST_NAME", "Guest");
define("ADMIN_LEVEL", 9);
define("USER_LEVEL", 1);
define("GUEST_LEVEL", 0);

/**
 * This boolean constant controls whether or
 * not the script keeps track of active users
 * and active guests who are visiting the site.
 */
define("TRACK_VISITORS", true);

/**
 * Timeout Constants - these constants refer to
 * the maximum amount of time (in minutes) after
 * their last page fresh that a user and guest
 * are still considered active visitors.
 */
define("USER_TIMEOUT", 10);
define("GUEST_TIMEOUT", 5);

/**
 * Cookie Constants - these are the parameters
 * to the setcookie function call, change them
 * if necessary to fit your website. If you need
 * help, visit www.php.net for more info.
 * <http://www.php.net/manual/en/function.setcookie.php>
 */
define("COOKIE_EXPIRE", 60 * 60 * 24 * 100); //100 days by default
define("COOKIE_PATH", "/"); //Avaible in whole domain

/**
 * Email Constants - these specify what goes in
 * the from field in the emails that the script
 * sends to users, and whether to send a
 * welcome email to newly registered users.
 */
define("EMAIL_FROM_NAME", "Tequila");
define("EMAIL_FROM_ADDR", "info@tequila.it");
define("EMAIL_WELCOME", true); //set this false if you do not want your users to receive a welcome Email after registration

/**
 * This constant forces all users to have
 * lowercase usernames, capital letters are
 * converted automatically.
 */
define("ALL_LOWERCASE", false);
/**
 * This is the total space of your system.
 * Set the total space in gb. For example, if your server gives you 20gb, 
 * and you want to dedicate them to tequila, enter 20.
 */
define("TOT_SPACE", 40);
/**
 * This is the total space for an user in gb.
 * This is the total space for a user, 
 * if he has run out of space, he can no longer upload files.
 * If the space you want to devote to users is less than 1gb uses this numbering: 10mb => 0.0098gb.
 */
define("USER_SPACE", 3);
/**
 * This is the language that will be used on your system.
 * The available languages are: English, French, Italian, Espanol.
 * Enter "eng" for English, "fre" for French, "esp" for Espanol, "ger" for German or "ita" for Italian.
 */
define("SYSTEM_LANG", "eng");
/**
 * This is your directory, leave blank if tequila has been installed on the home server.
 * For example:
 * Url:http://localhost.com/ThemeDema/Tequila/install/ 
 * Folder:ThemeDema/Tequila
 */
define("SYSTEM_DIRECTORY", "kindofblue");
/**
 * This constant determines whether the registration is locked or not.
 * If the value is 1, nobody will be able to join the system.
 * If the value is 0, everyone can join the system.
 */
define("LOCK_REGISTRATION", 0);
/**
 * Maximum file size for uploads (in MB)
 */
define("MAX_UPLOAD", 100);
/**
 * Tokens for the safety of input
 */
define("AC_TOKEN", 28179);
?>
