<?php
/* Creates a compressed zip file */
function zipper($files = array(), $destination = '', $overwrite = false)
{
    //If the zip file already exists and overwrite is false, return false
    if (file_exists($destination) && !$overwrite) {
        return false;
    }
    //Vars
    $valid_files = array();
    //If files were passed in...
    if (is_array($files)) {
        //Cycle through each file
        foreach ($files as $file) {
            //Make sure the file exists
            $file = str_replace("'", "", $file);
            if (is_file($file)) {
                if (file_exists($file)) {
                    $valid_files[] = $file;
                }
            }
        }
    }
    //If we have good files...
    if (count($valid_files)) {
        //Create the archive
        $zip = new ZipArchive();
        if ($zip->open($destination, $overwrite ? ZIPARCHIVE::OVERWRITE : ZIPARCHIVE::CREATE) !== true) {
            return false;
        }
        //Add the files
        foreach ($valid_files as $file) {
            $zip->addFile($file, $file);
        }
        //Debug
        //echo 'The zip archive contains ',$zip->numFiles,' files with a status of ',$zip->status;
        
        //Close the zip -- done!
        $zip->close();
        
        //Check to make sure the file exists
        return file_exists($destination);
    }
}
?>