<?php
ob_start(); //For the header() bug.
include("include/php/session.php"); //Managing Sessions.
include("include/lang/languages.php"); //Managing Languages.
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Tequila | Forgot Password</title>
		<link rel="shortcut icon" href="include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		<meta name="viewport" content="width=device-width,initial-scale=1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 1024px)" type="text/css" href="include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 1024px)" type="text/css" href="include/css/mobile.css" />
		<link href='//fonts.googleapis.com/css?family=Titillium+Web' rel='stylesheet' type='text/css'>
		<link href='//fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.intro-pu-wrapper').hide().fadeIn('slow');
				});
				function sidebarchange(){  // Change Sidebar
					if (document.getElementById('sidebar-left').className == 'sidebar-rp') {
						document.getElementById('sidebar-left').className = 'sidebar-rp-2';
						document.getElementById('sidebar-left-filters').className = 'sidebar-rp-filters-2';
						document.getElementById('space-percent').style.display = "none";
						document.getElementById('space-full').style.display = "block";
					} else {
						document.getElementById('sidebar-left').className = 'sidebar-rp';
						document.getElementById('sidebar-left-filters').className = 'sidebar-rp-filters';
						document.getElementById('space-percent').style.display = "block";
						document.getElementById('space-full').style.display = "none";
					}
				}
				function sidebarclose(){  // Change Sidebar
						document.getElementById('sidebar-left').className = 'sidebar-rp';
						document.getElementById('sidebar-left-filters').className = 'sidebar-rp-filters';
						document.getElementById('space-percent').style.display = "block";
						document.getElementById('space-full').style.display = "none";
				}
				function closemessage(id)
				{
						$(id).fadeOut();
				}
		</script>
	</head>
	<body>
	<?php
if ($session->logged_in) { //If the user is logged in, he will go to the page files.php
    header("Location: files.php?folder=/");
} else {
?>
		<div class="header">
			<div class="tribal-wrap">
				<a href="#" onclick="sidebarchange();"><div class="tribal-img"></div></a>
			</div>
			<div class="logo-wrap margin">
				<a href="index.php"><div class="logo-img"></div></a>
			</div>
			<?php
    if ($form->num_errors > 0) { //Errors Checking
        echo "<div class=\"message m-error\" id=\"message\">Error: " . $form->error("user") . "<a href=\"#\" onclick=\"closemessage('#message');\"><div class=\"m-close\"></div></a></div>";
    }
?>
		</div>
		<div class="sidebar-rp" id="sidebar-left">
			<div class="sidebar-rp-filters" id="sidebar-left-filters">
				<ul id="filters">
					<a href="login.php"><li><div class="sidebar ico-login"></div><p>Login</p></li></a>
					<a href="register.php"><li><div class="sidebar ico-register"></div><p>Register</p></li></a>
				</ul>
			</div>
		</div>
	<?php
    if (isset($_SESSION['forgotpass'])) {
        if ($_SESSION['forgotpass']) { //The new password has been generated and sent successfully.
            echo "<div class=\"intro-pu-wrapper\">
					<h1>$lang_new_password</h1>";
            echo "	<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">
						<h3>$lang_new_password_2</h3>
					</div>";
            echo "	<div class=\"intro-pu-options\" style=\"margin-top: 110px; height: 25px;\"></div>
					<div class=\"footer-intro-pu\">$lang_back_to <a href=\"login.php\">Log In</a></div>
				</div>";
        } else { //The new password has not generated, there was an error.
            echo "<div class=\"intro-pu-wrapper\">
					<h1>$lang_new_password_failure</h1>";
            echo "	<div id=\"form-intro-pu\" style=\"position: absolute;top: 70px;\">
						<h4>$lang_new_password_failure_2</h4>
					</div>";
            echo "	<div class=\"intro-pu-options\" style=\"margin-top: 110px; height: 25px;\"></div>
					<div class=\"footer-intro-pu\">$lang_back_to <a href=\"login.php\">Log In</a></div>
				</div>";
        }
        unset($_SESSION['forgotpass']);
    } else {
?>
		<div class="intro-pu-wrapper">
			<h1><?php
        echo "$lang_login_forgot_2";
?></h1>
			<form action="process.php" method="POST" autocomplete="off">
			<div id="form-intro-pu" style="position: absolute;top: 70px;">
				<input class="login-user-logo" type="text" style="margin-top:10px" value="Username" onblur="if(value=='') value = 'Username'" onfocus="if(value=='Username') value = ''" name="user" maxlength="30">
				<input type="hidden" name="subforgot" value="1">
				<button value="Get New Password" style="margin-top:70px"><?php
        echo "$lang_submit";
?></button>
			</div>
			<div class="intro-pu-options" style="margin-top: 150px; height: 25px;"></div>
			</form>
			
			<div class="footer-intro-pu">
				<?php
        echo "$lang_new_password_alert";
?>
			</div>
		</div>
		<?php
    }
}
?>
	</body>
</html>