<?php
$list = glob("*.zip*"); //Search the zip file

function leggiDir(&$list, $dir) //Reads folders
{
    if (($hdir = opendir($dir)) !== FALSE) {
        while (($name = readdir($hdir)) !== FALSE) {
            if ($name != "." && $name != "..") {
                if (!is_dir($dir . "/" . $name)) {
                    $fullname = $dir . "/" . $name;
                    $filename = $fullname;
                } else {
                    $fullname = $dir . "/" . $name;
                    $filename = 0;
                }
                
                array_push($list, $filename);
                if (is_dir($fullname))
                    leggiDir($list, $fullname);
            }
        }
        
        closedir($hdir);
    }
}
function deleteDir($dir) //Remove folders
{
    foreach (scandir($dir) as $file) {
        if ('.' === $file || '..' === $file)
            continue;
        if (is_dir($dir . '/' . $file))
            deleteDir($dir . '/' . $file);
        else
            unlink($dir . '/' . $file);
    }
    if ($dir != "backup/") {
        rmdir($dir);
    }
}
if (file_exists($list[0])) {
    $zip  = new ZipArchive();
    $file = $list[0]; //Zip file to extract
    if ($zip->open($file) === TRUE) {
        //Extract the archive
        $zip->extractTo("backup/");
        $zip->close();
        $success = 1;
    } else {
        $success = 0;
    }
    
    //I copy the files to update
    if ($success) {
        $updt = array();
        leggiDir($updt, "backup");
        $count = count($updt);
        for ($i = 0; $i < $count; $i++) {
            $file = "$updt[$i]";
            if (($file != "0") && ($file != "updates/index.php") && ($file != "updates/update.php") && ($file != "include/php/constants.php")) {
                $newfile = str_replace("backup/", "", "../$updt[$i]");
                if (!copy($file, $newfile)) {
                    $success = 0;
                }
            }
        }
    }
    
    if ($success) {
        //Removing files
        unlink($list[0]);
        deleteDir("backup/");
    }
} else {
    $success = 0;
}
?>
<!DOCTYPE html>
<html lang="en">
	<head>
		<title>Tequila | Admin Panel</title>
		<link rel="shortcut icon" href="../include/img/favicon.ico" />
		<meta http-equiv="Content-type" content="text/html;charset=ISO-8859-1">
		<meta name="viewport" content="width=device-width,initial-scale=1">
		
		<!-- CSS -->
		<link rel="stylesheet" media="(min-width: 1024px)" type="text/css" href="../include/css/style.css" />
		<link rel="stylesheet" media="(max-width: 1024px)" type="text/css" href="../include/css/mobile.css" />
		<link href='http://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'>
		<link href='http://fonts.googleapis.com/css?family=Cabin+Condensed:400' rel='stylesheet' type='text/css'>
		<link rel="stylesheet" type="text/css" href="../include/css/jquery.mCustomScrollbar.css" />
		
		<!-- JAVASCRIPTS -->
		<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.1/jquery.min.js"></script>
		<script type="text/javascript" src="../include/js/jquery.mCustomScrollbar.concat.min.js"></script>
		<script src="../include/js/jquery.knob.js"></script>
		<script src="../include/js/jquery.sysstats.js"></script>
		<script type="text/javascript">
				$(function(){  // $(document).ready shorthand
					$('.sysstats-wrapper').hide().fadeIn('slow');
					$('.wrapper-gn-f').hide().fadeIn('slow');
				});
				$(function(){ 
					height = window.innerHeight;
					height = height - 55 + "px";
					document.getElementById('sysstats-scroller').style.height = height;
				});
		</script>
	</head>
	<body>
		<div class="header">
			<div class="tribal-wrap">
				<a href="#" onclick="sidebarchange();"><div class="tribal-img"></div></a>
			</div>
			<div class="logo-wrap margin">
				<a href="#"><div class="logo-img"></div></a>
			</div>			
			
			<a href="#"><form action="#" method="GET" autocomplete="off">
				<input type="text" name="query" class="search-header" value="Search..." onblur="if(value=='') value = 'Search...'" onfocus="if(value=='Search...') value = ''">
			</form></a>
			<ul id="nav">
				<li class="nav-ps"><a href="#" class="usnm-nav"><?php
echo "<img src=\"../include/img/icons/user-default.png\" />";
?><?php
echo "User";
?></a>
					<ul>
						<li class="menu-hjk"><a href="useredit.php" class="bg-menu-settings"><?php
echo "$lang_settings";
?></a></li>
						<li class="menu-hjk"><a href="process.php" class="bg-menu-logout"><?php
echo "$lang_logout";
?></a></li>
						<div style="clear: both"></div>
					</ul>
					<div class="clear"></div>
				</li>
			</ul>
		</div>
		<div class="sidebar-rp" id="sidebar-left">
			<div class="sidebar-rp-filters" id="sidebar-left-filters">
				<a href="#"><ul id="filters">
					<li data-filter="image" onclick="sidebarclose();"><div class="sidebar ico-picture"></div><p><?php
echo "$lang_pictures";
?></p></li>
					<li data-filter="sound" onclick="sidebarclose();"><div class="sidebar ico-sound"></div><p><?php
echo "$lang_sounds";
?></p></li>
					<li data-filter="video" onclick="sidebarclose();"><div class="sidebar ico-video"></div><p><?php
echo "$lang_videos";
?></p></li>
					<li data-filter="text" onclick="sidebarclose();"><div class="sidebar ico-text"></div><p><?php
echo "$lang_texts";
?></p></li>
					<li data-filter="folder" onclick="sidebarclose();"><div class="sidebar ico-folder"></div><p><?php
echo "$lang_folders";
?></p></li>
					<li data-filter="other" onclick="sidebarclose();"><div class="sidebar ico-other"></div><p><?php
echo "$lang_other";
?></p></li>
				</ul></a>
			</div>
		</div>
		<div class="sub-header">
			<a href="#" onclick="goBack();"><div class="arrow-left"></div></a>
			<a href="#" onclick="goForward();"><div class="arrow-right"></div></a>
			<h2>Updates</h2>
		</div>

		<div class="sysstats-wrapper">
			<ul class="install-ulli">
				<a href="#sez-dat"><li>Download</li></a>
				<a href="#sez-dat"><li>Upload</li></a>
				<a href="#sez-dat"><li>Install</li></a>
			</ul>
		</div>
		
		<div class="wrapper-gn-f">
			<div class="admin-wrap">
				<?php

if ($success) {
?>
				<h4 id="sez-dat">Success</h4>
				<p><b>Installation was successful</b> The update was successfully installed.</p>
				<a href="../files.php?folder=/"><button class="button-admin" style="margin: 40px 0 0 0">Close</button></a>
				<?php
} else {
?>
				<h4 id="sez-dat">Error</h4>
				<p><b>You made a mistake</b> Go back and check that you have filled in all fields correctly. There might be a problem with your server.</p>
				
				<a href="<?php
    echo $_SERVER['HTTP_REFERER'];
?>"><button class="button-admin" style="margin: 40px 0 0 0">Go Back</button></a>	
				<?php
}

?>
			</div>
		</div>

<script src="../include/js/jquery.mCustomScrollbar.concat.min.js"></script>
	<script type="text/javascript">
		(function($){
			$(window).load(function(){
				$("#sdfi3").mCustomScrollbar({
					scrollButtons:{
						enable:false
					}
, horizontalScroll:true				});
			});
		})(jQuery);
			(function($){
				$(window).load(function(){
					$(".sysstats-scroller").mCustomScrollbar();
				});
			})(jQuery);
		(function($){
			$(window).load(function(){
				$("#content_scroll").mCustomScrollbar({
					scrollButtons:{
						enable:true
					}
				});
			});
		})(jQuery);

				$(document).ready(function () {
					$('#nav li').hover(
						function () {

							// mostra sottomenu

							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {

							// nascondi sottomenu

							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});
				$(document).ready(function () {
					$('#nav-mobile li').hover(
						function () {

							// mostra sottomenu

							$('ul', this).stop(true, true).delay(50).slideDown(100);
 
						}, 
						function () {

							// nascondi sottomenu

							$('ul', this).stop(true, true).slideUp(200);        
						}
					);
				});

		function showhide(id){ 
			if (document.getElementById){ 
			obj = document.getElementById(id); 
				if (obj.style.display == "none"){ 
				obj.style.display = ""; 
				} else { 
				obj.style.display = "none"; 
				} 
			} 
		} 
	</script>
	</body>
</html>